# flutter_service 中间件

提供flutter 版本的service plugin：https://git.yy.com/midwares/flutterplugin/flutterservice

## 依赖
### Android
    repositories {
        maven { url 'http://repo.yypm.com:8181/nexus/content/groups/public' }
        maven { url uri('repo') }
        google()
    }
    implementation 'tv.athena:service-api:1.8.6-SNAPSHOT'
    implementation 'tv.athena:service:1.8.6-SNAPSHOT'
    api "com.yy.android.gslbsdk:gslb:1.0.40-intl"
    implementation "tv.athena:hiido:2.1.17"
### IOS：
  source 'https://github.com/CocoaPods/Specs.git'
  source 'https://git.yy.com/ci_team/Specs.git'
  source 'https://git.yy.com/opensource/ios_team/Spec.git'
  source 'https://git.yy.com/midwares/modular/athservicespecs-ios.git'
  source 'https://git.yy.com/midwares/modular/athmidwarespecs-ios.git'
  pod 'yyservicesdk/yyservicesdk', '2.2.2'
  pod 'athmidservice', '0.4.0'
  pod 'openssl-dynamic', '111.6718.0'
  pod 'gslbsdki','1.3.2'
  pod 'athcontext', '0.3.3-flutter'
  pod 'athutils' , '0.2.5-novel'
  pod 'hdstatsdk' , '3.2.40'
## Api
### FlutterService：
  1.static Future<bool> initService(Map map) async：初始化
  2.static Future<void> request：发送请求
  3.static void startReceivingBroadcasts：开始监听事件，信令状态，互踢，单播，广播
  4.static void stopReceivingBroadcasts()：移除监听
  5.static Future<void> subscribeBroadcast ：订阅广播
  6.static Future<void> unsubscribeBroadcast：取消订阅广播
  
