package com.ath.flutterservice.flutter_service;

import android.os.Message;
import android.util.Log;

import java.lang.ref.WeakReference;
import java.util.ArrayList;

import tv.athena.core.sly.SlyBridge;
import tv.athena.service.api.event.ServiceBroadcastEvent;
import tv.athena.service.api.event.ServiceUnicastEvent;
import tv.athena.service.api.event.SvcStateEvent;
import tv.athena.core.sly.SlyBridge.IMessageHandler;
/*  这个文件自己实现，kapt有bug 生成不了*/
public class FlutterServicePlugin$$SlyBinder implements IMessageHandler {
    /**
     * IMessage消息代理类，由kapt自动生成 */
        private WeakReference<FlutterServicePlugin> target;

        private SlyBridge messageDispatcher;

    FlutterServicePlugin$$SlyBinder(FlutterServicePlugin target, SlyBridge messageDispatcher) {
            this.target = new WeakReference(target);
            this.messageDispatcher = messageDispatcher;
        Log.i("sly",target.toString());
        }

        public ArrayList<SlyBridge.IMessage> messages() {
            Log.i("sly","11111");
            ArrayList<SlyBridge.IMessage> arrayList = new ArrayList<>();
            arrayList.add(new SlyBridge.IMessage(SvcStateEvent.class, true, false, 0));
            arrayList.add(new SlyBridge.IMessage(ServiceUnicastEvent.class, true, false, 0));
            arrayList.add(new SlyBridge.IMessage(ServiceBroadcastEvent.class, true, false, 0));
            return arrayList;
        }

        public void handlerMessage(Message message) {
            FlutterServicePlugin instance = target.get();
            Log.i("sly",instance.toString());

            if(instance == null)return;
            if(message.obj instanceof SvcStateEvent) {
                instance.onSvcStateEvent((SvcStateEvent)message.obj);
            }
            if(message.obj instanceof ServiceUnicastEvent) {
                instance.onServiceUnicastEvent((ServiceUnicastEvent)message.obj);
            }
            if(message.obj instanceof ServiceBroadcastEvent) {
                instance.onServiceBroadcastEvent((ServiceBroadcastEvent)message.obj);
            }
        }
}
